<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:p="http://primefaces.org/ui">

    <f:view contentType="text/html">
        <h:head>
        </h:head>
        <h:body>
            Test<br/>
            No funcionaba porque el MB debe estar ubicado en la ruta que se definió en el applicationContext.xml
            <br/>
            <h1>OJO: Funciona bien solo si el componente de acción, en este caso commandButton, tiene
                immediate="false". De lo contrario, hay que darle click dos veces al botón para que coja el seleccionado!!!</h1>

            <p:ajaxStatus style="width:16px;height:16px;">
                <f:facet name="start">
                    <h:graphicImage value="../images/ajaxloadingbar.gif" />
                </f:facet>

                <f:facet name="complete">
                    <h:outputText value="" />
                </f:facet>
            </p:ajaxStatus>

            <p:messages id="msgs" showDetail="false" globalOnly="false" />

            <h:form prependId="false" id="form1">

                <p:dataTable var="name" id="tblPredios"
                             widgetVar="prediosTramite" paginatorPosition="bottom"
                             paginator="true" rows="10"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="5,10,15"
                             value="#{radioSelection.names}"
                             emptyMessage="No hay resultados para esta búsqueda"
                             selection="#{radioSelection.selectedName}" >
                    <f:facet name="header">
                        Names
                    </f:facet>

                    <p:column selectionMode="single" >
                        <f:facet name="header">
                            Principal
                        </f:facet>
                    </p:column>
                    <p:column >
                        <f:facet name="header">
                            name
                        </f:facet>
                        <h:outputText value="#{name}" />
                    </p:column>


                    <f:facet name="footer">
                        <p:commandButton value="View" icon="ui-icon ui-icon-search"
                                         update="displaySingle, msgs" oncomplete="dwv.show()" immediate="false" ajax="true"
                                         >

                        </p:commandButton>
                    </f:facet>
                </p:dataTable>


                <p:dialog header="nameDialog" widgetVar="dwv" resizable="false"
                          width="250" showEffect="explode" hideEffect="explode">

                    <h:panelGrid id="displaySingle" columns="2" cellpadding="4">
                        <h:outputText value="#{radioSelection.selectedName}" />
                    </h:panelGrid>
                </p:dialog>

            </h:form>



        </h:body>
    </f:view>
</html>